package com.java4less.android;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


import android.app.Activity;
import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;
import android.widget.SimpleAdapter;

public class BarcodeSamples extends ListActivity  {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle icicle) {
        super.onCreate(icicle);

        List<Map> list = new ArrayList<Map>();
                
        addItem(list, "Datamatrix", activityIntent("Datamatrix"));
        addItem(list, "QRCode", activityIntent("QRCode"));
        
        setListAdapter(new SimpleAdapter(this, list,
                android.R.layout.simple_list_item_1, new String[] { "title" },
                new int[] { android.R.id.text1 }));       
	    }
    

    protected Intent activityIntent(String barcodeName) {
        Intent result = new Intent();
        result.setClass(this.getApplication(),ShowBarcode.class);
        result.putExtra("barcodeName",  barcodeName);
        return result;
    }

    protected void addItem(List<Map> data, String name, Intent intent) {
        Map<String, Object> temp = new HashMap<String, Object>();
        temp.put("title", name);
        temp.put("intent", intent);
        data.add(temp);
    }
    
    
    @Override
    protected void onListItemClick(ListView l, View v, int position, long id) {
        Map map = (Map) l.obtainItem(position);

        Intent intent = (Intent) map.get("intent");
        startActivity(intent);
    }    
}